RK-J - Task #3317

BE getPurpleLinksinfoExtFull APl : Remove the support for the version 1.95
11/02/2023 09:08 AM - Venmuhilan B

Status: Closed Start date: 11/02/2023
Priority: Normal Due date:

Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.30 hour
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

- remove the v1.95 implementations in getPurpleLinksInfoExtFull API

History

#1 - 11/02/2023 09:12 AM - Venmuhilan B
- Assignee deleted (Venmuhilan B)

- Estimated time changed from 1.00 h to 0.30 h

#2 - 11/02/2023 09:22 AM - Venmuhilan B

version 1.95 Request & Response

Request:
Endpoint: admin/content/api/v1/getPurpleLinksInfoExtFull

Request Parameters:
o-url (required)

version - 1.95
extOpenCount (optional)

Response:
The response includes the "mode" field in addition to the "PurpleLinksinfoExtFull" results. The "mode" field is present in the response only for version
1.95.

If the extOpenCount parameter is present AND extOpenCount >= 100,
"mode" is set to "rk1".

Otherwise,

"mode" is set to "ext".

#3 - 11/02/2023 09:46 AM - Venmuhilan B
- Assignee set to Abhijata Sen

#4 - 11/02/2023 10:25 AM - Abhijata Sen

- Status changed from New to In Progress

#5 - 11/02/2023 10:25 AM - Abhijata Sen

- Status changed from In Progress to Resolved

#6 - 11/02/2023 10:26 AM - Abhijata Sen
- Status changed from Resolved to Review

- Assignee changed from Abhijata Sen to Venmuhilan B

#7 - 11/02/2023 12:30 PM - Venmuhilan B
- Assignee changed from Venmuhilan B to Ayush Khandelwal

- % Done changed from 0 to 100

#8 - 11/02/2023 01:18 PM - Venmuhilan B
- Status changed from Review to Feedback

- Assignee changed from Ayush Khandelwal to Abhijata Sen
#9 - 11/07/2023 12:39 PM - Abhijata Sen
- Assignee changed from Abhijata Sen to Venmuhilan B

#10 - 11/23/2023 11:23 AM - Venmuhilan B

- Assignee changed from Venmuhilan B to Ram Kordale

#11 - 01/05/2024 02:55 AM - Ram Kordale
- Status changed from Feedback to Closed
